Bug 1265322 - Review Request: nodejs-encoding - Convert encodings, uses iconv by default and fallbacks to iconv-lite if needed
Review Request: nodejs-encoding - Convert encodings, uses iconv by default an...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 1265321
  Show dependency treegraph
 
Reported: 2015-09-22 12:32 EDT by Parag Nemade
Modified: 2015-10-05 14:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 14:14:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2015-09-22 12:32:39 EDT
Spec URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-encoding.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-encoding-0.1.11-1.fc23.src.rpm

Description:
encoding is a simple wrapper around node-iconv and iconv-lite to convert
strings from one encoding to another. If node-iconv is not available for
some reason, iconv-lite will be used instead of it as a fallback.
Comment 1 Parag Nemade 2015-09-22 12:32:43 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=11181115
Comment 2 Tom Hughes 2015-09-24 14:10:34 EDT
Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/tom/1265322-nodejs-
     encoding/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.2)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/tom/1265322-nodejs-encoding/results/nodejs-encoding-0.1.11-1.fc24.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/compton-rawhide-x86_64/root/ --releasever 24 install /home/tom/1265322-nodejs-encoding/results/nodejs-encoding-0.1.11-1.fc24.noarch.rpm


Rpmlint
-------
Checking: nodejs-encoding-0.1.11-1.fc24.noarch.rpm
          nodejs-encoding-0.1.11-1.fc24.src.rpm
nodejs-encoding.noarch: W: spelling-error Summary(en_US) encodings -> encoding, encoding s, recordings
nodejs-encoding.noarch: W: spelling-error Summary(en_US) iconv -> icon, icons, icon v
nodejs-encoding.noarch: W: spelling-error Summary(en_US) fallbacks -> fallback, callbacks, fullbacks
nodejs-encoding.noarch: W: spelling-error %description -l en_US iconv -> icon, icons, icon v
nodejs-encoding.noarch: W: only-non-binary-in-usr-lib
nodejs-encoding.noarch: W: dangling-symlink /usr/lib/node_modules/encoding/node_modules/iconv-lite /usr/lib/node_modules/iconv-lite
nodejs-encoding.src: W: spelling-error Summary(en_US) encodings -> encoding, encoding s, recordings
nodejs-encoding.src: W: spelling-error Summary(en_US) iconv -> icon, icons, icon v
nodejs-encoding.src: W: spelling-error Summary(en_US) fallbacks -> fallback, callbacks, fullbacks
nodejs-encoding.src: W: spelling-error %description -l en_US iconv -> icon, icons, icon v
2 packages and 0 specfiles checked; 0 errors, 10 warnings.




Requires
--------
nodejs-encoding (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(iconv-lite)



Provides
--------
nodejs-encoding:
    nodejs-encoding
    npm(encoding)



Source checksums
----------------
https://github.com/andris9/encoding/archive/v0.1.11.tar.gz#/encoding-0.1.11.tar.gz :
  CHECKSUM(SHA256) this package     : d2e3b378ada0f387093b2456770827af53edbcb6d20c6deb7ba5ea2c8f2eba78
  CHECKSUM(SHA256) upstream package : d2e3b378ada0f387093b2456770827af53edbcb6d20c6deb7ba5ea2c8f2eba78


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1265322
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Tom Hughes 2015-09-24 14:11:59 EDT
Package install fails - it needs a nodejs_fixdup for iconv-lite:

DEBUG util.py:393:  Error: nothing provides npm(iconv-lite) >= 0.4.4 needed by nodejs-encoding-0.1.11-1.fc24.noarch

Lint error:

nodejs-encoding.noarch: W: spelling-error Summary(en_US) fallbacks -> fallback, callbacks, fullbacks

Should be "falls back" not "fallbacks".
Comment 4 Parag Nemade 2015-09-29 04:36:10 EDT
ah I missed above comments.

Fixed the both issues in below update

Spec URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-encoding.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-encoding-0.1.11-2.fc23.src.rpm
Comment 5 Tom Hughes 2015-09-29 04:38:58 EDT
That looks fine now. Package approved.
Comment 6 Parag Nemade 2015-09-29 05:06:55 EDT
New Package SCM Request
=======================
Package Name: nodejs-encoding
Short Description: Convert encodings, uses iconv by default and falls back to iconv-lite if needed
Upstream URL: https://github.com/andris9/encoding
Owners: pnemade
Branches: f23
InitialCC:
Comment 7 Gwyn Ciesla 2015-09-29 15:28:34 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2015-09-30 04:48:35 EDT
nodejs-encoding-0.1.11-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7f68be1778
Comment 9 Fedora Update System 2015-10-01 19:53:51 EDT
nodejs-encoding-0.1.11-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-encoding'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7f68be1778
Comment 10 Fedora Update System 2015-10-01 21:49:41 EDT
nodejs-encoding-0.1.11-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-encoding'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7f68be1778
Comment 11 Fedora Update System 2015-10-05 14:14:02 EDT
nodejs-encoding-0.1.11-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.